Bug 585549 - Please update gsoap to latest upstream release, currently 2.7.16
Please update gsoap to latest upstream release, currently 2.7.16
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gsoap (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Farrellee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-24 13:28 EDT by Matt Jamison
Modified: 2010-04-25 19:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-25 19:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updates to spec file (1.58 KB, patch)
2010-04-24 13:29 EDT, Matt Jamison
no flags Details | Diff
Updated openssl patch (776 bytes, patch)
2010-04-24 13:29 EDT, Matt Jamison
no flags Details | Diff
Updated libtool patch (2.96 KB, patch)
2010-04-24 13:30 EDT, Matt Jamison
no flags Details | Diff

  None (edit)
Description Matt Jamison 2010-04-24 13:28:02 EDT
Description of problem:
Many bug fixes have been made in versions newer than the current Fedora
package (2.7.13), most importantly in my opinion:

"Version 2.7.14 (09/07/2009)
Added support for poll() to replace select() to prevent FD_EXCEEDED."

I'm actually triggering this bug in several applications, and thus would like to fix in the Fedora packages.  The full gsoap changelog is here: http://www.cs.fsu.edu/~engelen/changelog.html


Version-Release number of selected component (if applicable):
2.7.13-2

Additional info:

Attaching patches to take the current package to 2.7.16.
Comment 1 Matt Jamison 2010-04-24 13:29:12 EDT
Created attachment 408854 [details]
Updates to spec file

Bumped version
Added new files in distro
Removed upstream unused args patch
Comment 2 Matt Jamison 2010-04-24 13:29:44 EDT
Created attachment 408855 [details]
Updated openssl patch

Updated openssl patch for 2.7.16
Comment 3 Matt Jamison 2010-04-24 13:30:15 EDT
Created attachment 408856 [details]
Updated libtool patch

Updated libtool patch against 2.6.17
Comment 4 Matthew Farrellee 2010-04-25 19:41:01 EDT
gsoap 2.7.16 built in rawhide

http://koji.fedoraproject.org/koji/taskinfo?taskID=2137078

Note You need to log in before you can comment on or make changes to this bug.